PrioSet (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.headrules
Class PrioSet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<PrioSetMember>
                  org.maltparser.core.syntaxgraph.headrules.PrioSet

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<PrioSetMember>, Collection<PrioSetMember>, List<PrioSetMember>, RandomAccess

    public class PrioSet

extends ArrayList<PrioSetMember>

Author:
  Johan Hall
See Also:
  Serialized Form

Field Summary
`protected PrioSetMember` | `cache`
`protected PrioList` | `prioList`
`static long` | `serialVersionUID`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`PrioSet(PrioList prioList)`
`PrioSet(PrioList prioList, String setSpec)`

Method Summary
`PrioSetMember` | `addPrioSetMember(SymbolTable table, ColumnDescription column, int symbolCode, PrioSetMember.RelationToPrevMember relationToPrevMember)`
`PrioSetMember` | `addPrioSetMember(SymbolTable table, ColumnDescription column, String symbolString, PrioSetMember.RelationToPrevMember relationToPrevMember)`
`boolean` | `equals(Object obj)`
`PhraseStructureNode` | `getHeadChild(NonTerminalNode nt, Direction direction)`
`org.apache.log4j.Logger` | `getLogger()`
`PrioList` | `getPrioList()`
`int` | `hashCode()`
`void` | `init(String setSpec)`
`protected void` | `setPrioList(PrioList prioList)`
`String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### prioList

    protected PrioList prioList

### cache

    protected PrioSetMember cache

Constructor Detail

### PrioSet

    public PrioSet(PrioList prioList)

### PrioSet

    public PrioSet(PrioList prioList,
                   String setSpec)
            throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### init

    public void init(String setSpec)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### addPrioSetMember

    public PrioSetMember addPrioSetMember(SymbolTable table,
                                          ColumnDescription column,
                                          String symbolString,
                                          PrioSetMember.RelationToPrevMember relationToPrevMember)
                                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### addPrioSetMember

    public PrioSetMember addPrioSetMember(SymbolTable table,
                                          ColumnDescription column,
                                          int symbolCode,
                                          PrioSetMember.RelationToPrevMember relationToPrevMember)
                                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### getHeadChild

    public PhraseStructureNode getHeadChild(NonTerminalNode nt,
                                            Direction direction)
                                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### getLogger

    public org.apache.log4j.Logger getLogger()

### getPrioList

    public PrioList getPrioList()

### setPrioList

    protected void setPrioList(PrioList prioList)

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Collection<PrioSetMember>`
  Specified by:
    `equals` in interface `List<PrioSetMember>`
  Overrides:
    `equals` in class `AbstractList<PrioSetMember>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection<PrioSetMember>`
  Specified by:
    `hashCode` in interface `List<PrioSetMember>`
  Overrides:
    `hashCode` in class `AbstractList<PrioSetMember>`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractCollection<PrioSetMember>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.